# AWS Console Access Utility

This utility encapsulates the dance required to sign in to the AWS console by means of a
sufficiently privileged service account.

## Getting started

1. Ensure that there is an `.aws-helper.yaml` file in the project root. (See configuration section
   below.)
2. Install this utility.
3. Run `aws-helper --environment=<environment> console` in the project. By default `<environment>`
   is `development`.

## Environment variables

The following environment variables may be set:

* `AWS_HELPER_CONFIG_FILE` - specify configuration file location
* `AWS_HELPER_ENVIRONMENT` - specify environment from configuration file to use
* `AWS_HELPER_AWS_PROFILE` - override AWS profile used when assuming role

## Configuration

The utility assumes:

1. A Google service account exists which has a trust relationship with an AWS role allowing console
   access.
2. The user authenticated via `gcloud auth application-default login` can impersonate that service
   account.

Configuration is via a YAML file. The file lists zero of more *environments* which are parametrised
by the Google service account and AWS role ARN. For example:

```yaml
# .aws-config.yaml

environments:
  development:
    google_service_account_email: aws-admin@my-project-abcdef.iam.gserviceaccount.com
    aws_role_arn: arn:aws:iam::9876543210:role/Admin
```
