import pytest
from moto import mock_aws


@pytest.fixture(autouse=True)
def fake_aws_credentials(monkeypatch):
    """
    Ensure no test will ever try to access real AWS resouces by providing invalid credentials.
    """
    monkeypatch.setenv("AWS_ACCESS_KEY_ID", "testing")
    monkeypatch.setenv("AWS_SECRET_ACCESS_KEY", "testing")
    monkeypatch.setenv("AWS_SECURITY_TOKEN", "testing")
    monkeypatch.setenv("AWS_SESSION_TOKEN", "testing")
    monkeypatch.setenv("AWS_DEFAULT_REGION", "eu-west-2")


@pytest.fixture(autouse=True)
def mocked_aws(fake_aws_credentials):
    """Mock all AWS interactions using moto."""
    with mock_aws():
        yield
